truncate(1)

NAME
truncate - Shrink or extend the size of each file to the specified size.

SYNOPSIS
truncate [-o|--io-blocks] [-c|--no-create] [-r|--reference] [-s|--size] [-h|--help] [-V|--version] <FILE>

DESCRIPTION
Shrink or extend the size of each file to the specified size.

OPTIONS

-o, --io-blocks
    treat SIZE as the number of I/O blocks of the file rather than bytes (NOT IMPLEMENTED)

-c, --no-create
    do not create files that do not exist

-r, --reference <RFILE>
    base the size of each file on the size of RFILE

-s, --size <SIZE>
    set or adjust the size of each file according to SIZE, which is in bytes unless --io-blocks is specified

-h, --help
    Print help

-V, --version
    Print version

<FILE>

EXTRA
SIZE is an integer with an optional prefix and optional unit. The available units (K, M, G, T, P, E, Z, and Y) use the following format:
    'KB' => 1000 (kilobytes)
    'K' => 1024 (kibibytes)
    'MB' => 1000*1000 (megabytes)
    'M' => 1024*1024 (mebibytes)
    'GB' => 1000*1000*1000 (gigabytes)
    'G' => 1024*1024*1024 (gibibytes) SIZE may also be prefixed by one of the following to adjust the size of each file based on its current size:
    '+' => extend by
    '-' => reduce by
    '<' => at most
    '>' => at least
    '/' => round down to multiple of
    '%' => round up to multiple of

VERSION
v(uutils coreutils) 0.2.2